package com.aimluck.eip.cayenne.om.portlet;
import org.apache.cayenne.ObjectId;
import com.aimluck.eip.cayenne.om.portlet.auto._ImwMClient;
public class ImwMClient extends _ImwMClient  {


  public static final String CLIENT_NAME_COLUMN = "CLIENT_NAME";

  public static final String CLIENT_NAMES_COLUMN = "CLIENT_NAMES";

  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";

  public static final String CREATE_USER_ID_COLUMN = "CREATE_USER_ID";

  public static final String DEMAND_CLIENT_ID_COLUMN = "DEMAND_CLIENT_ID";

  public static final String DISABLED_COLUMN = "DISABLED";

  public static final String PAY_CLASS_COLUMN = "PAY_CLASS";

  public static final String PAY_DATE_COLUMN = "PAY_DATE";

  public static final String PAY_DAY_COLUMN = "PAY_DAY";

  public static final String PAY_DEADLINE_COLUMN = "PAY_DEADLINE";

  public static final String RECEIPT_CLASS_COLUMN = "RECEIPT_CLASS";

  public static final String RECEIPT_DATE_COLUMN = "RECEIPT_DATE";

  public static final String RECEIPT_DAY_COLUMN = "RECEIPT_DAY";

  public static final String RECEIPT_DEADLINE_COLUMN = "RECEIPT_DEADLINE";

  public static final String UPDATE_DATE_COLUMN = "UPDATE_DATE";

  public static final String UPDATE_USER_ID_COLUMN = "UPDATE_USER_ID";

  public static final String USER_ID_COLUMN = "USER_ID";

  public static final String TURBINE_USER_COLUMN = "TURBINE_USER";
  
  public static final String TURBINE_USER_PROPERTY = "turbineUser";

  public static final String CLIENT_ID_PK_COLUMN = "CLIENT_ID";
  public Integer getClientId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(CLIENT_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setClientId(Integer id) {
    setObjectId(new ObjectId("ImwMClient", CLIENT_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
  
  public void setTurbineUser(
      com.aimluck.eip.cayenne.om.security.TurbineUser turbineUser) {
    setToOneTarget("turbineUser", turbineUser, true);
  }

  public com.aimluck.eip.cayenne.om.security.TurbineUser getTurbineUser() {
    return (com.aimluck.eip.cayenne.om.security.TurbineUser) readProperty("turbineUser");
  }
 
}
